> For the complete documentation index, see [llms.txt](https://docs.flxbl.io/flxbl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flxbl.io/flxbl/sfp/api-reference/token.md).

# Token

## GET /sfp/api/application-tokens

> List all application tokens

```json
{"openapi":"3.0.0","info":{"title":"sfp server","version":"51.20.1"},"security":[{"access-token":[]}],"components":{"securitySchemes":{"access-token":{"scheme":"bearer","bearerFormat":"JWT","type":"http","in":"header"}}},"paths":{"/sfp/api/application-tokens":{"get":{"operationId":"ApplicationTokenController_getTokens","summary":"List all application tokens","parameters":[],"responses":{"403":{"description":"Forbidden - Requires role: owner"}},"tags":["Application Tokens"]}}}}
```

## DELETE /sfp/api/application-tokens/{token}

> Revoke an application token

```json
{"openapi":"3.0.0","info":{"title":"sfp server","version":"51.20.1"},"security":[{"access-token":[]}],"components":{"securitySchemes":{"access-token":{"scheme":"bearer","bearerFormat":"JWT","type":"http","in":"header"}}},"paths":{"/sfp/api/application-tokens/{token}":{"delete":{"operationId":"ApplicationTokenController_revokeToken","summary":"Revoke an application token","parameters":[{"name":"token","required":true,"in":"path","description":"The token to revoke","schema":{"type":"string"}}],"responses":{"200":{"description":"The token has been revoked"},"403":{"description":"Forbidden - Requires role: owner"},"500":{"description":"Internal server error"}},"tags":["Application Tokens"]}}}}
```

## POST /sfp/api/application-tokens

> Create a new application token

```json
{"openapi":"3.0.0","info":{"title":"sfp server","version":"51.20.1"},"security":[{"access-token":[]}],"components":{"securitySchemes":{"access-token":{"scheme":"bearer","bearerFormat":"JWT","type":"http","in":"header"}},"schemas":{"CreateTokenDto":{"type":"object","properties":{"name":{"type":"string","description":"The name of the token"},"expiresIn":{"type":"number","description":"The expiration time of the token in days","default":30}},"required":["name","expiresIn"]}}},"paths":{"/sfp/api/application-tokens":{"post":{"operationId":"ApplicationTokenController_createToken","summary":"Create a new application token","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTokenDto"}}}},"responses":{"201":{"description":"The created application token"},"403":{"description":"Forbidden - Requires role: owner"},"500":{"description":"Internal server error"}},"tags":["Application Tokens"]}}}}
```

## The CreateTokenDto object

```json
{"openapi":"3.0.0","info":{"title":"sfp server","version":"51.20.1"},"components":{"schemas":{"CreateTokenDto":{"type":"object","properties":{"name":{"type":"string","description":"The name of the token"},"expiresIn":{"type":"number","description":"The expiration time of the token in days","default":30}},"required":["name","expiresIn"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/api-reference/token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
